> For the complete documentation index, see [llms.txt](https://docs.esignet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.esignet.io/roadmap-and-releases/versions/v1.8.0.md).

# v1.8.0

**Release Number:** v1.8.0

**Release Date:&#x20;**<mark style="color:red;">**Coming Soon!**</mark>

### **Overview**

eSignet v1.8.0 introduces significant infrastructure modernization and enhanced data privacy. This release upgrades the entire eSignet ecosystem from **Java 11 to** [**Java 21**](/readme/technology/technology-stack-j21.md) , delivering improved performance, better resource management via virtual threads, and long-term support. Additionally, the implementation of [**RFC 7516**](https://www.rfc-editor.org/rfc/rfc7516.html) adds support for encrypted UserInfo responses, ensuring robust protection of sensitive user data in compliance with OIDC standards.

### **Major Highlights**

#### **1. Migration to Java 21**

We have upgraded eSignet and its core modules from Java 11 to Java 21. This upgrade applies to the following repositories:

* [**eSignet**](https://github.com/mosip/esignet)
* [**eSignet-Signup**](https://github.com/mosip/esignet-signup)
* [**eSignet-mock-services**](https://github.com/mosip/esignet-mock-services)
* [**eSignet-Plugin**](https://github.com/mosip/esignet-plugins)

#### **2. Encrypted UserInfo Support (RFC 7516)**

To further secure PII (Personally Identifiable Information), eSignet now supports returning the [**UserInfo response as an encrypted JSON (JWE)**.](https://docs.esignet.io/roadmap-and-releases/versions/pages/Tk3eiHfyOsvmzvqNZGRg#id-2.-supported-standards-and-rfcs)

* **Enhanced Privacy:** Ensures that user attributes are only readable by the intended client application.
* **Standard Compliance:** Implements **RFC 7516 (JSON Web Encryption)**, aligning eSignet with global security best practices for OpenID Connect (OIDC) providers.

#### **Story Development**

The following functional requirements and stories were completed in this release:

<table><thead><tr><th width="162.4375">ID</th><th>Summary</th></tr></thead><tbody><tr><td><a href="https://mosip.atlassian.net/browse/ES-2744">ES-2744</a></td><td>eSignet: Encrypt UserInfo Response Using JWE (RFC 7516)</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2699">ES-2699</a></td><td>eSignet - Signup - Enhancement of Dynamic Sign-Up Form to Support Additional Input Field Types &#x26; Upload Capabilities</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2661">ES-2661</a></td><td>eSignet-signup - Java 11 to Java 21 Migration</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2316">ES-2316</a></td><td>eSignet Plugins- Java 11 to Java 21 Migration</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2315">ES-2315</a></td><td>eSignet Service - Java 11 to Java 21 Migration</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2068">ES-2068</a></td><td>esignet-mock-service - Java 11 to Java 21 Migration</td></tr></tbody></table>

#### **Bug Fixes**

Several known issues from the previous release have been addressed to improve platform stability and performance. Please refer to the link here for the complete list of resolved issues.

<table><thead><tr><th width="172.515625">ID</th><th>Summary</th></tr></thead><tbody><tr><td><a href="https://mosip.atlassian.net/browse/ES-2891">ES-2891</a></td><td>eSignet Signup (Docker Compose) – Authorization/OAuth Details Fails with “Unable to Connect to Redis”</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2887">ES-2887</a></td><td>eSignet Signup – Client Creation Fails Due to DB Schema Mismatch (additional_config jsonb Error)</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2800">ES-2800</a></td><td>eSignet-Sunbird: DOB value is altered during challenge validation, preventing user login to KBI</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2716">ES-2716</a></td><td>In Ui schema when email is marked as optional field by default its taking as mandatory field</td></tr></tbody></table>

#### **Known Issues**

For a full list of identified issues currently being tracked, please refer to this link.

<table><thead><tr><th width="177.12109375">ID</th><th>Summary</th></tr></thead><tbody><tr><td><a href="https://mosip.atlassian.net/browse/ES-2914">ES-2914</a></td><td>Hardcoded khm language during verify-challenge in reset-password (signup-ui).</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2911">ES-2911</a></td><td>eSignet &#x26; Plugin Pods Failing to Start – KER-KMA-001 PKCS11 Initialization Error (ProgressDeadlineExceeded)</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2905">ES-2905</a></td><td>eSignet Mock Services – Deployment Fails Due to Missing active_profile_env Property</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2877">ES-2877</a></td><td>eSignet-MOSIP &#x26; MOCK: User Login Fails When Global OpenID Profile is Set to FAPI 2.0 Due to Mandatory PKCE Requirement</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2874">ES-2874</a></td><td>Sunbird KBI Login – CAPTCHA Not Displayed and Login Fails with invalid_transaction Error</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2873">ES-2873</a></td><td>eSignet Signup – Registration Fails Even When UI Renders Correctly as Per Updated Schema</td></tr><tr><td><a href="https://mosip.atlassian.net/browse/ES-2836">ES-2836</a></td><td>eSignet: JWE automation fails when client encryption public key is missing or invalid</td></tr></tbody></table>

### **Technical Release Details**

#### **Repositories Released**

| Repository            | Version/Tag                                                            |
| --------------------- | ---------------------------------------------------------------------- |
| eSignet               | [v1.8.0](https://github.com/mosip/esignet/tree/v1.8.0)                 |
| eSignet-Signup        | [v1.4.0](https://github.com/mosip/esignet-signup/tree/v1.4.0)          |
| eSignet-mock-services | [v0.13.0](https://github.com/mosip/esignet-mock-services/tree/v0.13.0) |
| eSignet-Plugin        | [v1.4.0](https://github.com/mosip/esignet-plugins/tree/v1.4.0)         |
| mosip-sdk             | [0.10.2](https://github.com/mosip/mosip-sdk/tree/v0.10.2)              |
| mosip-onboarding      | [v1.3.0](https://github.com/mosip/mosip-onboarding/tree/v1.3.1)        |

### **Compatible Modules**

**eSignet compatibility with MOSIP**

| Module/Repo | Compatible Version                                                                                                                  |
| ----------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| PMS         | [1.2.2.1](https://github.com/mosip/partner-management-services/tree/v1.2.2.1)                                                       |
| IDA         | <p><a href="https://github.com/mosip/id-authentication/tree/v1.2.1.0">1.2.1.0</a><br>1.3.x (for identity assurance 1.0 support)</p> |

**eSignet compatibility with Sunbird**

| Module/Repo | Compatible Version                                                          |
| ----------- | --------------------------------------------------------------------------- |
| Sunbird     | [v2.0.0-rc3](https://github.com/Sunbird-RC/sunbird-rc-core/tree/v2.0.0-rc3) |

**eSignet Signup compatibility with MOSIP**

| Module/Repo                 | Compatible Version                                                                                                                     |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| ID Repository               | <p><a href="https://github.com/mosip/id-authentication/tree/v1.2.1.0">1.2.1.0</a></p><p>1.3.x (for identity assurance 1.0 support)</p> |
| otpmanager                  | [1.2.0.1](https://github.com/mosip/otp-manager/tree/v1.2.0.1)                                                                          |
| kernel-notification-service | [1.2.0.1](https://github.com/mosip/commons/tree/v1.2.0.1/kernel/kernel-notification-service)                                           |
| auditmanager                | [1.2.0.1](https://github.com/mosip/audit-manager/tree/v1.2.0.1)                                                                        |

### **System Changes**

#### **Database Changes**

**eSignet**

* [Upgrade Scripts](https://github.com/mosip/esignet/blob/release-1.8.x/db_upgrade_script/mosip_esignet/sql/1.7.1_to_1.8.0_upgrade.sql)&#x20;
* [Rollback Scripts](https://github.com/mosip/esignet/blob/release-1.8.x/db_upgrade_script/mosip_esignet/sql/1.7.1_to_1.8.0_rollback.sql)

**eSignet-mock-services**

* [Upgrade Scripts](http://github.com/mosip/esignet-mock-services/blob/release-0.13.x/db_upgrade_script/mosip_mockidentitysystem/sql/0.12.0_to_0.13.0_upgrade.sql)
* [Rollback Scripts](https://github.com/mosip/esignet-mock-services/blob/release-0.13.x/db_upgrade_script/mosip_mockidentitysystem/sql/0.12.0_to_0.13.0_rollback.sql)

#### **Configuration Changes**&#x20;

**eSignet**

* **New Properties:**
  * mosip.esignet.public-key-hash.fields={ 'RSA': { 'n' }, 'EC': { 'x', 'y' } } ## which fields to hash for uniqueness
* **Updated Properties:**
  * spring.redis.host → spring.data.redis.host

    spring.redis.port → spring.data.redis.port

    spring.redis.password → spring.data.redis.password

### Documentation

**API Documentation**

* [**eSignet API (v1.8.0)**](https://github.com/mosip/esignet/blob/master/docs/esignet-openapi.yaml)
* [**Signup API (v1.4.0)**](https://github.com/mosip/esignet-signup/blob/master/docs/esignet-signup-openapi.yaml)

**Integration Guides**

* [**eSignet Integration Guide**](https://docs.esignet.io/esignet-authentication/develop/integration)
* [**Signup Integration Guide**](https://docs.esignet.io/esignet-signup/develop/integration-guide-signup-portal)

**End User Guides**

* [**eSignet End User Guide**](https://docs.esignet.io/esignet-authentication/test/end-user-guide)
* [**Signup End User Guide**](https://docs.esignet.io/esignet-signup/test/end-user-guide)

**QA Report**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.esignet.io/roadmap-and-releases/versions/v1.8.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
